Loading...
Searching...
No Matches
sdbus::ObjectManager_proxy Class Referenceabstract

## Public Member Functions

| ObjectManager_proxy (const ObjectManager_proxy &)=delete
ObjectManager_proxy & | operator= (const ObjectManager_proxy &)=delete
| ObjectManager_proxy (ObjectManager_proxy &&)=delete
ObjectManager_proxy & | operator= (ObjectManager_proxy &&)=delete
std::map< ObjectPath, std::map< InterfaceName, std::map< PropertyName, Variant > > > | GetManagedObjects ()
template<typename Function>
PendingAsyncCall | GetManagedObjectsAsync (Function &&callback)
template<typename Function>
Slot | GetManagedObjectsAsync (Function &&callback, return_slot_t)
std::future< std::map< ObjectPath, std::map< InterfaceName, std::map< PropertyName, Variant > > > > | GetManagedObjectsAsync (with_future_t)
Awaitable< std::map< ObjectPath, std::map< InterfaceName, std::map< PropertyName, Variant > > > > | GetManagedObjectsAsync (with_awaitable_t)

## Protected Member Functions

| ObjectManager_proxy (IProxy &proxy)
void | registerProxy ()
virtual void | onInterfacesAdded (const ObjectPath &objectPath, const std::map< InterfaceName, std::map< PropertyName, Variant > > &interfacesAndProperties)=0
virtual void | onInterfacesRemoved (const ObjectPath &objectPath, const std::vector< InterfaceName > &interfaces)=0

The documentation for this class was generated from the following file:

- include/sdbus-c++/StandardInterfaces.h